# Uses of Class
javafx.scene.control.TreeTableView.EditEvent

Packages that use TreeTableView.EditEvent
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TreeTableView.EditEvent in javafx.scene.control

Methods in javafx.scene.control that return types with arguments of type TreeTableView.EditEvent
Modifier and Type
Method
Description
`static <S> EventType<TreeTableView.EditEvent<S>>`
TreeTableView.`editAnyEvent()`
An EventType that indicates some edit event has occurred.
`static <S> EventType<TreeTableView.EditEvent<S>>`
TreeTableView.`editCancelEvent()`
An EventType used to indicate that an edit event has just been canceled within the TreeTableView upon which the event was fired.
`static <S> EventType<TreeTableView.EditEvent<S>>`
TreeTableView.`editCommitEvent()`
An EventType that is used to indicate that an edit in a TreeTableView has been committed.
`static <S> EventType<TreeTableView.EditEvent<S>>`
TreeTableView.`editStartEvent()`
An EventType used to indicate that an edit event has started within the TreeTableView upon which the event was fired.
Constructor parameters in javafx.scene.control with type arguments of type TreeTableView.EditEvent
Modifier
Constructor
Description
``
`EditEvent(TreeTableView<S> source, EventType<? extends TreeTableView.EditEvent> eventType, TreeItem<S> treeItem, S oldValue, S newValue)`
Creates a new EditEvent instance to represent an edit event.